{"openapi":"3.1.0","info":{"title":"GET /api/v1/cfo-projection/scenarios/{scenario_id}","version":"1.0.0","description":"Get scenario"},"servers":[{"url":"https://api.ondayzero.com","description":"Production"}],"paths":{"/api/v1/cfo-projection/scenarios/{scenario_id}":{"get":{"tags":["cfo-projection"],"summary":"Get scenario","description":"Get a projection scenario by ID.","operationId":"get_scenario_api_v1_cfo_projection_scenarios__scenario_id__get","parameters":[{"name":"scenario_id","in":"path","required":true,"schema":{"type":"string","title":"Scenario Id"}},{"name":"authorization","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Authorization"}},{"name":"x-business-id","in":"header","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"X-Business-Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScenarioResponse"}}}},"401":{"description":"Unauthorized - Authentication required","content":{"application/json":{"example":{"detail":"Not authenticated"}}}},"403":{"description":"Forbidden - Insufficient permissions","content":{"application/json":{"example":{"detail":"Not enough permissions"}}}},"404":{"description":"Not Found - Resource does not exist","content":{"application/json":{"example":{"detail":"Resource not found"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"FixedDriverValue":{"properties":{"base":{"type":"integer","title":"Base","description":"Base $/month in cents","default":0},"esc":{"type":"number","title":"Esc","description":"Annual escalation rate, e.g. 0.03 = 3%","default":0.0}},"type":"object","title":"FixedDriverValue"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"RevenueDriverValue":{"properties":{"growth":{"type":"number","title":"Growth","description":"MoM compound growth rate, e.g. 0.10 = 10%","default":0.0}},"type":"object","title":"RevenueDriverValue"},"ScenarioResponse":{"properties":{"id":{"type":"string","title":"Id"},"business_id":{"type":"string","title":"Business Id"},"name":{"type":"string","title":"Name"},"is_active":{"type":"boolean","title":"Is Active"},"base_month":{"type":"string","format":"date","title":"Base Month"},"projection_months":{"type":"integer","title":"Projection Months"},"revenue_drivers":{"additionalProperties":{"$ref":"#/components/schemas/RevenueDriverValue"},"type":"object","title":"Revenue Drivers"},"cost_classifications":{"additionalProperties":{"type":"string"},"type":"object","title":"Cost Classifications"},"variable_drivers":{"additionalProperties":{"$ref":"#/components/schemas/VariableDriverValue"},"type":"object","title":"Variable Drivers"},"fixed_drivers":{"additionalProperties":{"$ref":"#/components/schemas/FixedDriverValue"},"type":"object","title":"Fixed Drivers"},"monthly_overrides":{"additionalProperties":{"additionalProperties":{"type":"integer"},"type":"object"},"type":"object","title":"Monthly Overrides"},"tax_rate":{"type":"number","title":"Tax Rate"},"interest_income_monthly":{"type":"integer","title":"Interest Income Monthly"},"interest_expense_monthly":{"type":"integer","title":"Interest Expense Monthly"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["id","business_id","name","is_active","base_month","projection_months","tax_rate","interest_income_monthly","interest_expense_monthly","created_at","updated_at"],"title":"ScenarioResponse","description":"Full scenario including all persisted drivers."},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"},"input":{"title":"Input"},"ctx":{"type":"object","title":"Context"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"},"VariableDriverValue":{"properties":{"pct_rev":{"type":"number","title":"Pct Rev","description":"Fraction of projected revenue, e.g. 0.085","default":0.0}},"type":"object","title":"VariableDriverValue"}},"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token","description":"API token authentication. Format: `Bearer dz_...`"}}},"security":[{"BearerAuth":[]}]}